Import Bulk Translation File
Import a bulk translation file into Vault.
While an exported bulk translation file can contain only one (1) language, your import file may include multiple languages.
Vault reads the language value separately for each row and applies any new translations immediately. Vault ignores any rows without changes.
Learn more about the translation file schema in Vault Help
You must have the Admin: Language: Edit permission to import a bulk translation file to Vault.
Upload the CSV file to your Vault’s file staging before making this request.
- The maximum CSV input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard RFC 4180 format, with some exceptions.
POST
/api/{version}/messages/{message_type}/actions/importHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/x-www-form-urlencoded |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{message_type} | The message type name: field_labels__sys, system_messages__sys, notification_template_messages__sys, or user_account_messages__sys. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
file_path | The file path of the CSV file on file staging. Cannot contain ../ or any other path traversal directives. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-d "file_path=PromoMats_English_Field-Labels_5-29-24_15-34-10.csv" \
https://myvault.veevavault.com/api/v25.2/messages/field_labels__sys/actions/importResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"url": "/api/v25.2/services/jobs/902601",
"jobId": "902601"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the job_id which allows you to:
- Retrieve the job status, which specifies if the import job has completed with
SUCCESS - Retrieve the job summary, which provides details of a successful job
- Retrieve the job errors, which provides details about the errors encountered in the job (if any)